Bug 967215 - dpkg : does not adhere to Static Library Packaging Guidelines
dpkg : does not adhere to Static Library Packaging Guidelines
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dpkg (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sergio Monteiro Basto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 11:04 EDT by Michael Schwendt
Modified: 2013-06-13 02:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: dpkg-1.16.10-4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 06:40:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-05-25 11:04:59 EDT
https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

Build: dpkg-1.16.10-3.fc20.src.rpm

dpkg-devel
    contains only static libraries,
    but no virtual -static package is provided
Comment 1 Sergio Monteiro Basto 2013-05-25 17:57:24 EDT
(In reply to Michael Schwendt from comment #0)
> https://fedoraproject.org/wiki/Packaging:
> Guidelines#Packaging_Static_Libraries_2
> 
> Build: dpkg-1.16.10-3.fc20.src.rpm
> 
> dpkg-devel
>     contains only static libraries,
>     but no virtual -static package is provided

hi , don't worry about it, I will add the line: 
Provides: foo-static = %{version}-%{release}

but now I will wait for dpkg-1.16.10-3 enter in stable.

https://admin.fedoraproject.org/updates/FEDORA-2013-9094/dpkg-1.16.10-3.fc19
you may test it and give karma.
Comment 2 Fedora Update System 2013-06-02 20:20:01 EDT
dpkg-1.16.10-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dpkg-1.16.10-4.fc19
Comment 3 Fedora Update System 2013-06-02 20:21:15 EDT
dpkg-1.16.10-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dpkg-1.16.10-4.fc18
Comment 4 Fedora Update System 2013-06-03 10:42:16 EDT
Package dpkg-1.16.10-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dpkg-1.16.10-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9914/dpkg-1.16.10-4.fc19
then log in and leave karma (feedback).
Comment 5 Michael Schwendt 2013-06-04 06:40:43 EDT
Closed by: fedora-report-static-batch.py
http://mschwendt.fedorapeople.org/staticbugstat.html
Comment 6 Fedora Update System 2013-06-11 23:34:02 EDT
dpkg-1.16.10-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-13 02:11:26 EDT
dpkg-1.16.10-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.